Page MenuHomePhabricator

Formally EOL REL1_33
Closed, ResolvedPublic

Description

As per https://www.mediawiki.org/wiki/Version_lifecycle

Using https://lists.wikimedia.org/pipermail/mediawiki-announce/2020-January/000245.html as a base

As per the MediaWiki version lifecycle [1], I would like to announce the formal end of life (EOL) of MediaWiki 1.33 as of next week, Tuesday June 30, 2020.

This means that MediaWiki 1.33 will no longer receive maintenance or security backports (barring an unforseen issues with the 1.33.4 release today). It is therefore strongly discouraged that you continue to use it.

It is recommended to upgrade to MediaWiki 1.34 (due to become EOL in November 2020). The current Long Term Support (LTS) version of MediaWiki, MediaWiki 1.31, is however older (and downgrading is not supported. The delayed next LTS (MediaWiki 1.35) is currently due to be released in early August 2020, and will be supported until at least June 2023.

MediaWiki 1.34 bumps the required PHP version from 7.0 in 1.33 (which is unsupported upstream), to PHP 7.2.9 or later.

Thanks!


Sam Reed

[1] https://www.mediawiki.org/wiki/Version_lifecycle

Event Timeline

Reedy created this task.Jun 23 2020, 12:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2020, 12:07 AM
Reedy renamed this task from EOL REL1_33 to Formally EOL REL1_33.Jun 23 2020, 12:36 AM
Reedy updated the task description. (Show Details)Jun 23 2020, 2:30 PM
hashar added a subscriber: hashar.

There is bunch of cleanup to conduct in integration/config for Zuul/Jenkins.

Do we have a checklist of all steps required when we EOL a release?

Reedy added a comment.Jun 23 2020, 2:42 PM

There is bunch of cleanup to conduct in integration/config for Zuul/Jenkins.

Do we have a checklist of all steps required when we EOL a release?

Not that I know of, we probably should have though :)

I can do the clean-up bits and write them down, if you want?

Reedy updated the task description. (Show Details)Jun 23 2020, 3:02 PM

Do we have a checklist of all steps required when we EOL a release?

IMO this should be part of / a section of https://www.mediawiki.org/wiki/Release_checklist

Jdforrester-WMF triaged this task as High priority.Jun 24 2020, 5:29 PM

Change 607736 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Stop ascribing stuff to REL1_33 pipelines

https://gerrit.wikimedia.org/r/607736

Change 607737 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: Stop defining the REL1_33 pipelines

https://gerrit.wikimedia.org/r/607737

Change 607739 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Drop REL1_33 jjb jobs, no longer used

https://gerrit.wikimedia.org/r/607739

Change 607740 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] ExtensionDistribution: Drop REL1_33, EOL'ed

https://gerrit.wikimedia.org/r/607740

Change 607736 merged by jenkins-bot:
[integration/config@master] layout: Stop ascribing stuff to REL1_33 pipelines

https://gerrit.wikimedia.org/r/c/integration/config/ /607736

Mentioned in SAL (#wikimedia-releng) [2020-07-01T08:37:01Z] <James_F> Zuul: Stop ascribing stuff to REL1_33 pipelines T256087

Change 607737 merged by jenkins-bot:
[integration/config@master] layout: Stop defining the REL1_33 pipelines

https://gerrit.wikimedia.org/r/c/integration/config/ /607737

Mentioned in SAL (#wikimedia-releng) [2020-07-01T08:38:56Z] <James_F> Zuul: Stop defining the REL1_33 pipelines at all T256087

Jdforrester-WMF closed this task as Resolved.Jul 1 2020, 8:43 AM

Done.

Change 607739 merged by jenkins-bot:
[integration/config@master] jjb: Drop REL1_33 jjb jobs, no longer used

https://gerrit.wikimedia.org/r/c/integration/config/ /607739

I see zero recent edits on https://www.mediawiki.org/wiki/Release_checklist and no mention of e.g. extensiondistribution.
Hence maybe done but not documented.

Change 607740 merged by jenkins-bot:
[operations/mediawiki-config@master] ExtensionDistribution: Drop REL1_33, EOL'ed

https://gerrit.wikimedia.org/r/607740

Mentioned in SAL (#wikimedia-operations) [2020-07-09T17:36:23Z] <James_F> Synchronized wmf-config/CommonSettings.php: ExtensionDistribution: Drop REL1_33, EOL'ed T256087

Reedy added a comment.Mon, Jul 13, 6:00 PM

MW-1.33-release wasn't marked as archived, done now (also updated the description)

MW-1.33-notes had been archived already